libapp-nopaste-perl (1.007-1) unstable; urgency=medium

  * Import upstream version 1.007

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 16 Sep 2016 06:50:44 +0200

libapp-nopaste-perl (1.006-2) unstable; urgency=medium

  [ gregor herrmann ]
  * Remove Jonathan Yu from Uploaders. Thanks for your work!
  * Remove Ryan Niebur from Uploaders. Thanks for your work!

  [ Salvatore Bonaccorso ]
  * Add libclipboard-perl to Suggests

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 21 Aug 2016 15:52:08 +0200

libapp-nopaste-perl (1.006-1) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Salvatore Bonaccorso ]
  * Import upstream version 1.006
  * Drop Build-Depends-Indep on libtest-trap-perl

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 24 May 2016 07:37:12 +0200

libapp-nopaste-perl (1.005-1) unstable; urgency=medium

  * debian/control: Use HTTPS transport protocol for Vcs-Git URI
  * Import upstream version 1.005
  * Add libtest-fatal-perl to Build-Depends-Indep
  * Add libtest-trap-perl to Build-Depends-Indep
  * Bump Debhelper compat level to 9
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian policy 3.9.8
  * Add libpath-tiny-perl to Build-Depends-Indep

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 20 May 2016 06:18:03 +0200

libapp-nopaste-perl (1.004-1) unstable; urgency=low

  [ gregor herrmann ]
  * Install CONTRIBUTING file.
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend
  * Add debian/upstream/metadata
  * Import upstream version 1.004
  * Drop Build-Depends on libmodule-build-tiny-perl
  * Lower Debhelper compat level to 8.
    Module::Build::Tiny is not used anymore for the build.
    Adjust versioned Build-Depends on debhelper to (>= 8).
  * Add Build-Depends-Indep on libtest-deep-perl
  * Add Build-Depends-Indep and Depends on libnamespace-clean-perl
  * Replace (build-)dependencies on libjson-perl with libjson-maybexs-perl
  * Referesh use-usr-bin-perl-shebang.patch patch
  * Declare compliance with Debian policy 3.9.6
  * Add Testsuite: autopkgtest-pkg-perl field to debian/control

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 10 May 2015 10:59:54 +0200

libapp-nopaste-perl (0.96-1) unstable; urgency=medium

  * Imported Upstream version 0.96
  * Adjust (Build-)Depends(-Indep) for Getopt::Long::Descriptive.
    Lower (build-)dependency on libgetopt-long-descriptive-perl to an
    unversioned dependency.
  * Add (build-)dependency for Module::Runtime.
    Add Build-Depends-Indep and Depends on libmodule-runtime-perl.

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 29 Jan 2014 06:20:52 +0100

libapp-nopaste-perl (0.95-1) unstable; urgency=medium

  * Imported Upstream version 0.95

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 26 Jan 2014 20:03:48 +0100

libapp-nopaste-perl (0.94-1) unstable; urgency=medium

  * Imported Upstream version 0.94

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 19 Jan 2014 21:27:33 +0100

libapp-nopaste-perl (0.93-1) unstable; urgency=medium

  * Imported Upstream version 0.93
  * Add Build-Depends on libmodule-build-tiny-perl
  * Remove copyright stanzas for inc/Module/* files
  * Update copyright years for debian/* packaging files
  * Refresh use-usr-bin-perl-shebang.patch patch
  * Declare compliance with Debian Policy 3.9.5
  * Build-Depends on at least debhelper (>= 9.20130630~)
    Versioned Build-Depends on debhelper (>= 9.20130630~) required for
    compatibility with Module::Build::Tiny.
  * Bump Debhelper compat level to 9

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 14 Jan 2014 18:11:50 +0100

libapp-nopaste-perl (0.92-3) unstable; urgency=low

  * Add use-usr-bin-perl-shebang.patch patch.
    Use #!/usr/bin/perl shebang in nopaste instead of #!/usr/bin/env perl.

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 24 Sep 2013 06:53:33 +0200

libapp-nopaste-perl (0.92-2) unstable; urgency=low

  * Adjust (build-)dependency for Module::Pluggable.
    Module::Pluggable will be removed from Perl core in 5.20 and emits now
    a warning with 5.18. Add Build-Depends-Indep and Depends on alternate
    libmodule-pluggable-perl | perl (<< 5.17.0).
    Thanks to Dominic Hargreaves <dom@earth.li> (Closes: #711649)
  * Wrap and sort fields in debian/control file

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 24 Aug 2013 15:58:23 +0200

libapp-nopaste-perl (0.92-1) unstable; urgency=low

  * Imported Upstream version 0.92
  * Drop Build-Depends-Indep on libmoose-perl

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 26 Apr 2013 22:01:52 +0200

libapp-nopaste-perl (0.91-1) unstable; urgency=low

  * Imported Upstream version 0.91
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs
  * Remove alternative Suggests on libconfig-gitlike-perl
  * Update copyright years for debian/* packaging files
  * Add libmoose-perl to Build-Depends-Indep for additional test

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 27 Jan 2013 22:02:44 +0100

libapp-nopaste-perl (0.90-1) unstable; urgency=low

  * Imported Upstream version 0.90
  * Add (build-)dependency for Getopt::Long::Descriptive.
    Add (versioned) Build-Depends-Indep and Depends on
    libgetopt-long-descriptive-perl (>= 0.090).
  * Drop unneeded (build-)dependencies.
    Drop Build-Depends-Indep and Depends on libmoose-perl and
    libmoosex-getopt-perl as they are not required anymore.
  * Bump Standards-Version to 3.9.4
  * Update copyright years in debian/copyright file.
    Update copyright years for bundled copy of Module:Install.
    Update copyright years for debian/* packaging files.

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 30 Oct 2012 22:39:57 +0100

libapp-nopaste-perl (0.35-1) unstable; urgency=low

  * Imported Upstream version 0.35

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 17 Jul 2012 22:16:22 +0200

libapp-nopaste-perl (0.34-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Salvatore Bonaccorso ]
  * Imported Upstream version 0.34
  * Add (build-)dependencies for JSON.
    Add Build-Depends-Indep and Depends on libjson-perl package.
  * Update format of debian/copyright file.
    Update to copyright-format 1.0 as released together with Debian policy
    3.9.3.
  * Bump Standards-Version to 3.9.3
  * Simplify Suggests needed for git.
    Change the alternative dependency declaration git (>= 1:1.7.0.4-2~) |
    git-core to git, as Lenny is now archived.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 15 Jul 2012 05:42:05 +0200

libapp-nopaste-perl (0.33-1) unstable; urgency=low

  * Imported Upstream version 0.33

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 16 Dec 2011 07:30:00 +0100

libapp-nopaste-perl (0.32-1) unstable; urgency=low

  * New upstream release.
  * Drop patch, applied upstream.
  * Update packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sat, 22 Oct 2011 17:14:50 +0200

libapp-nopaste-perl (0.31-1) unstable; urgency=low

  * Imported Upstream version 0.31
  * debian/control: Add liburi-perl to (Build-)Depends(-Indep).

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 30 Aug 2011 22:40:55 +0200

libapp-nopaste-perl (0.30-1) unstable; urgency=low

  * Imported Upstream version 0.30
  * Email change: Salvatore Bonaccorso -> carnil@debian.org

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 26 Aug 2011 20:35:14 +0200

libapp-nopaste-perl (0.29-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright:
    - Replace DEP5 Format-Specification URL from svn.debian.org to
      anonscm.debian.org URL.
    - Update copyright information for Module::Install files.
  * Imported Upstream version 0.29
  * debian/control: Add (Build-)Depends(-Indep) on libclass-load-perl.
  * Bump Standards-Version to 3.9.2. 
  * debian/patches: Add fix-pod2man-errors.patch patch to fix pod2man
    errors in manpage.

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 24 Aug 2011 07:41:24 +0200

libapp-nopaste-perl (0.28-1) unstable; urgency=low

  * New upstream release

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 23 Mar 2011 16:07:06 +0100

libapp-nopaste-perl (0.27-2) unstable; urgency=low

  * debian/control: Fix typo in Depends: libbrowser-open-perl. Missing 's'.
    Thanks to Matijs van Zuijlen. (Closes: #617888)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 12 Mar 2011 10:32:53 +0100

libapp-nopaste-perl (0.27-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * New upstream release
  * debian/control: Add libbrowser-open-perl to (Build-)Depends(-Indep).

  [ Jonathan Yu ]
  * New upstream release
  * Bump to debhelper compat 8

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 11 Mar 2011 09:10:28 +0100

libapp-nopaste-perl (0.25-1) unstable; urgency=low

  * New upstream release
  * Refresh debian/copyright.

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 04 Jan 2011 08:36:32 +0100

libapp-nopaste-perl (0.24-1) unstable; urgency=low

  * New upstream release

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 22 Dec 2010 07:44:50 +0100

libapp-nopaste-perl (0.23-1) unstable; urgency=low

  * New upstream release
  * Update my email address.
  * debian/control: Suggests libconfig-gitlike-perl instead of
    libconfig-ini-perl as per upstream change.
  * debian/copyright:
    - Explicitly refer to GPL-1 license ext in common-licenses.
    - Refer to Debian systems instead of Debian GNU/Linux systems.
    - Refresh upstream copyright stanza. 
  * Bump Standards-Version to 3.9.1.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 27 Nov 2010 11:37:18 +0100

libapp-nopaste-perl (0.22-1) unstable; urgency=low

  * New upstream release

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Fri, 11 Jun 2010 07:42:00 +0200

libapp-nopaste-perl (0.21-1) unstable; urgency=low

  * New upstream release
    - Add a --list_services/-L option (Closes: #573883).
  * debian/patches:
    - Drop manpage-name.patch which is applied upstream.
    - Drop fix_service_ssh_manpage_whathis_entry.patch applied upstream.
  * Add README.Debian explaining how setting default service to use to be
    paste.debian.net.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sat, 01 May 2010 18:42:44 +0200

libapp-nopaste-perl (0.20-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * New upstream release
  * debian/copyright: Update Copyright information for Module::Install version
    used.
  * Remove comments lines in debian/watch. 

  [ gregor herrmann ]
  * debian/control: add the new git package as an alternative to Suggests.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sun, 18 Apr 2010 08:33:49 +0200

libapp-nopaste-perl (0.19-1) unstable; urgency=low

  * New upstream release
    - Drops rafb.net support
  * Convert package to '3.0 (quilt)' package source format. Drop use of
    README.source and adjust debian/rules file. Drop Build-Depends on quilt. 
  * Refresh fix_service_ssh_manpage_whathis_entry.patch to reflect the module
    rename to SSH.pm. 
  * Refresh Copyright years for debian/* packaging in debian/copyright file. 
  * Bump Standards-Version to 3.8.4 (no changes). 

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Mon, 22 Feb 2010 08:18:20 +0100

libapp-nopaste-perl (0.18-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * New upstream release
  * Add myself to Uploaders 
  * Refresh debian/copyright to follow revision 135 of the
    Format-Specification for machine readable copyright file
    in DEP5 proposal. 
  * Add fix_service_ssh_manpage_whathis_entry.patch patch to fix lintian
    warning for wrong-manpage-whatis-entry for App::Nopaste::Service::ssh. 

  [ gregor herrmann ]
  * debian/control: add libconfig-ini-perl as an alternative suggestion to
    git-core for App::Nopaste::Service::Gist.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Thu, 31 Dec 2009 13:02:33 +0100

libapp-nopaste-perl (0.17-1) unstable; urgency=low

  * New upstream release
    + remove debian_lang.patch (applied upstream)
  * add myself to Uploaders

 -- Damyan Ivanov <dmn@debian.org>  Wed, 04 Nov 2009 07:23:37 +0200

libapp-nopaste-perl (0.16-1) unstable; urgency=low

  * New upstream release
  * Added myself to Copyright and Uploaders
  * Rewrote control description

 -- Jonathan Yu <jawnsy@cpan.org>  Sun, 18 Oct 2009 06:31:04 -0400

libapp-nopaste-perl (0.15-5) unstable; urgency=low

  [ Ryan Niebur ]
  * Update ryan52's email address

  [ gregor herrmann ]
  * Patch debian_lang.patch: adapt to changes of paste.debian.net.

 -- gregor herrmann <gregoa@debian.org>  Sat, 17 Oct 2009 02:59:26 +0200

libapp-nopaste-perl (0.15-4) unstable; urgency=low

  * Fix the link of nopaste.1p, it now correctly points to
    App::Nopaste::Command.3pm.

 -- gregor herrmann <gregoa@debian.org>  Thu, 10 Sep 2009 16:55:04 +0200

libapp-nopaste-perl (0.15-3) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * debian/control: Changed: Replace versioned (build-)dependency on
    perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as
    permitted by Debian Policy 3.8.3).

  [ gregor herrmann ]
  * Add debian/README.source to document quilt usage, as required by
    Debian Policy since 3.8.0.
  * Set Standards-Version to 3.8.3 (no further changes).
  * Make nopaste.1p a link to App::Nopaste.3pm, the original only points to
    the latter. Add a patch to mention `nopaste' in the POD/manpage.

 -- gregor herrmann <gregoa@debian.org>  Wed, 09 Sep 2009 21:06:06 +0200

libapp-nopaste-perl (0.15-2) unstable; urgency=low

  * Add patch debian_lang.patch: add support for --lang to
    App::Nopaste::Service::Debian (i.e. paste.debian.net). Add quilt
    framework.
  * Add /me to Uploaders.

 -- gregor herrmann <gregoa@debian.org>  Wed, 15 Jul 2009 18:00:59 +0200

libapp-nopaste-perl (0.15-1) unstable; urgency=low

  [ Ryan Niebur ]
  * provide nopaste
  * New upstream release
    - adds support for paste.debian.net (Closes: #533607)

  [ gregor herrmann ]
  * Use tiny debian/rules, require debhelper 7.2.13 for --skipdeps support.

 -- Ryan Niebur <ryanryan52@gmail.com>  Wed, 15 Jul 2009 02:06:39 -0700

libapp-nopaste-perl (0.11-1) unstable; urgency=low

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Ryan Niebur ]
  * New upstream release
  * Debian Policy 3.8.2
  * remove git-core from build deps, it isn't needed
  * update dependencies

 -- Ryan Niebur <ryanryan52@gmail.com>  Thu, 18 Jun 2009 15:20:33 -0700

libapp-nopaste-perl (0.10-2) unstable; urgency=low

  [ Ryan Niebur ]
  * move git-core to Suggests

  [ gregor herrmann ]
  * Set Standards-Version to 3.8.1 (no changes).
  * debian/control: mention module name in long description, make short
    description a noun phrase.

 -- Ryan Niebur <ryanryan52@gmail.com>  Fri, 15 May 2009 22:32:17 -0700

libapp-nopaste-perl (0.10-1) unstable; urgency=low

  * Initial Release. (Closes: #518103)

 -- Ryan Niebur <ryanryan52@gmail.com>  Wed, 04 Mar 2009 21:11:38 -0800
